> ## Documentation Index
> Fetch the complete documentation index at: https://docs.titletrackr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a folder



## OpenAPI

````yaml /openapi.json post /file-vault/folders
openapi: 3.1.0
info:
  title: TitleTrackr Developer API
  version: 1.0.0
  description: Push orders and documents into TitleTrackr.
servers:
  - url: https://api.titletrackr.com/v1
security:
  - bearerAuth: []
paths:
  /file-vault/folders:
    post:
      summary: Create a folder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  maxLength: 255
                parent_id:
                  type: integer
      responses:
        '201':
          description: Folder created
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  responses:
    ValidationError:
      description: Validation failed.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              errors:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````